Bug 208960 - bugzilla package/component list should be autogenerated
bugzilla package/component list should be autogenerated
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-10-02 15:27 EDT by Need Real Name
Modified: 2013-06-23 22:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-08-11 13:59:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-10-02 15:27:41 EDT
It's annoying to submit bugs for new packages to be added to the "Component"
field of bugzilla.

It should be automatic.

pup is missing, for example.
Comment 2 John Ellson 2009-09-26 15:17:48 EDT
Also missing:
Comment 3 John Ellson 2009-09-26 15:19:37 EDT
(me apparently, sorry)

Also missing, components for:
Comment 4 David Lawrence 2009-09-27 18:48:27 EDT
Generally for distro related products in Bugzilla such as Fedora, RHEL, etc. the component names are mapped to source rpms not binary rpms. This keeps the list smaller.


Also for products such as Fedora, we (Bugzilla admins) do not manage the component lists as it is managed from the package database automatically. So you will need to contact the Fedora Infrastructure team about getting a component added since it needs more than just a name. You also need description, initial owner, initial qa contact, initial cc members, etc. 


Comment 5 Horst H. von Brand 2010-08-11 13:48:38 EDT
(In reply to comment #3)
> (me apparently, sorry)
> Also missing, components for:
>     llvm
>     clang    

llvm is there (now).
Comment 6 Need Real Name 2010-08-11 14:50:53 EDT
Is the package list auto generated now?

Note You need to log in before you can comment on or make changes to this bug.